/*
 * Copyright (c) 2023 Xilinx
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.

 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this package; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef __GST_AMA_H264_DEC_H__
#define __GST_AMA_H264_DEC_H__

#include "gstamadec.h"

G_BEGIN_DECLS

#define GST_TYPE_AMA_H264_DEC (gst_ama_h264_dec_get_type ())
G_DECLARE_FINAL_TYPE (GstAMAH264Dec, gst_ama_h264_dec, GST, AMA_H264_DEC, GstAMADec)

struct _GstAMAH264Dec
{
  GstAMADec parent_class;
};

GST_ELEMENT_REGISTER_DECLARE (ama_h264dec);

G_END_DECLS

#endif /* __GST_AMA_H264_DEC_H__ */
