/*
 * Copyright (c) 2023 Xilinx
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.

 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this package; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef __GST_AMA_UPLOAD_H__
#define __GST_AMA_UPLOAD_H__

#include <gst/base/gstbasetransform.h>

G_BEGIN_DECLS

#define GST_TYPE_AMA_UPLOAD (gst_ama_upload_get_type ())
G_DECLARE_FINAL_TYPE (GstAMAUpload, gst_ama_upload, GST, AMA_UPLOAD, GstBaseTransform)

struct _GstAMAUpload
{
  GstBaseTransform parent;
};

GST_ELEMENT_REGISTER_DECLARE (ama_upload);

G_END_DECLS

#endif /* __GST_AMA_UPLOAD_H__ */
