/*
 * Copyright (c) 2023 Xilinx
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.

 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this package; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef __GST_AMA_AV1_ENC_H__
#define __GST_AMA_AV1_ENC_H__

#include "gstamaenc.h"

G_BEGIN_DECLS

#define GST_TYPE_AMA_AV1_ENC (gst_ama_av1_enc_get_type ())
G_DECLARE_FINAL_TYPE (GstAMAAV1Enc, gst_ama_av1_enc, GST, AMA_AV1_ENC, GstAMAEnc)

struct _GstAMAAV1Enc
{
  GstAMAEnc parent;

  int32_t device_type;
};

GST_ELEMENT_REGISTER_DECLARE (ama_av1enc);

G_END_DECLS

#endif /* __GST_AMA_AV1_ENC_H__ */
